#
# spec file for package ghc-tls-session-manager
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name tls-session-manager
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        0.0.8
Release:        1.7
Summary:        In-memory TLS session DB and session ticket
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-auto-update-devel
BuildRequires:  ghc-auto-update-prof
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-clock-prof
BuildRequires:  ghc-crypto-token-devel
BuildRequires:  ghc-crypto-token-prof
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-memory-prof
BuildRequires:  ghc-psqueues-devel
BuildRequires:  ghc-psqueues-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-serialise-devel
BuildRequires:  ghc-serialise-prof
BuildRequires:  ghc-tls-devel
BuildRequires:  ghc-tls-prof
ExcludeArch:    %{ix86}

%description
TLS session manager with limitation, automatic pruning, energy saving and
replay resistance and session ticket manager.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Sun Mar 30 2025 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.8.
  [#]# 0.0.8
  * Removing "basement".
* Sun Nov  3 2024 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.7 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Oct 30 2024 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.7.
  [#]# 0.0.7
  * Naming threads.
* Tue Jun 25 2024 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.6.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/tls-session-manager-0.0.6/src/ChangeLog.md
* Sat Apr 27 2024 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.5 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Fri Mar  1 2024 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.5 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Feb 13 2024 Peter Simons <psimons@suse.com>
- Update tls-session-manager to version 0.0.5.
  Upstream has not updated the file "ChangeLog.md" since the last
  release.
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun  9 2020 psimons@suse.com
- Add tls-session-manager at version 0.0.4.
